/*
 * Support Vector Registration (SVR): string_tokenizer
 * Parse strings from the config file.
 * 
 * Campbell, D., and Petersson, L., “An Adaptive Data Representations for
 * Robust Point-Set Registration and Merging”, International Conference on
 * Computer Vision (ICCV), Santiago, Chile, IEEE, Dec. 2015
 * 
 * For the full license, see license.txt in the root directory
 * 
 * Author: Dylan Campbell
 * Date: 20150709
 * Revision: 1
 */

#ifndef STRINGTOKENIZER_H
#define STRINGTOKENIZER_H

#include <list>
#include <string>

class StringTokenizer {

private:
  std::list<std::string> tokens;

public:
  StringTokenizer();
  StringTokenizer(std::string str, char delim = ' ');
  StringTokenizer(std::string str, char * delims);
  ~StringTokenizer();

  std::string nextToken();
  bool hasMoreTokens();
  int numberOfTokens();
};

#endif // for STRINGTOKENIZER_H
